Subject: bug#57044: 29.0.50; tramp-error: Reading directory: Permission denied, /scp:motorolausb:/storage/emulated/0/

From: Michael Albinus <[email-masked]>
Date: Sun, 14 Aug 2022 17:03:44 +0200

Jean Louis <[email-masked]> writes:

Hi Jean,

> Find it attached.
>
> ;; Emacs: 29.0.50 Tramp: 2.6.0-pre -*- mode: outline; coding: utf-8; -*-
> ;; Location: /home/data1/protected/Programming/Software/emacs/lisp/net/tramp.elc Git: master/e7b348b08ac5cea01141ece6b06f95c6d0b8c292
> 07:10:57.010006 tramp-get-file-property (8) # /storage/emulated/0 file-readable-p undef; inhibit: 10; cache used: nil; cached at: nil
> 07:10:57.010231 tramp-get-file-property (8) # /storage/emulated/0 file-attributes undef; inhibit: 10; cache used: nil; cached at: nil
> 07:10:57.010446 tramp-get-connection-property (7) # test test; cache used: t
> 07:10:57.010702 tramp-get-connection-property (7) # null-device /dev/null; cache used: t
> 07:10:57.010845 tramp-get-connection-property (7) # process-name nil; cache used: nil
> 07:10:57.010976 tramp-get-connection-property (7) # process-name nil; cache used: nil
> 07:10:57.011108 tramp-get-connection-property (7) # process-buffer nil; cache used: t
> 07:10:57.011247 tramp-get-connection-property (7) # last-cmd-time (25336 30064 80357 821000); cache used: t
> 07:10:57.011413 tramp-get-connection-property (7) # process-name nil; cache used: nil
> 07:10:57.011542 tramp-get-connection-property (7) # remote-echo nil; cache used: nil
> 07:10:57.011657 tramp-send-command (6) # echo are you awake

Ach, Jean :-(

This is NOT the complete Tramp debug buffer from the beginning. What I
need from you is

- Start Emacs with "emacs -Q".

- Apply the needed settings, like

  (setq tramp-verbose 10
        tramp-connection-properties '(("ssh:motorola" "tmpdir" "/storage/emulated/0/tmp"))
        tramp-remote-path '(...)
        tramp-remote-process-environment '(...))

- Open a file like "C-x C-f /scp:motorolausb:"

- Send the *full* debu buffer.

The reason is, that I don't know otherwise where Tramp gets its
data. For example, it does

> 07:10:57.056208 tramp-send-command (6) # while read d; do if test -x $d/ls && test -f $d/ls; then echo tramp_executable $d/ls; break; fi; done <<'b43631a7d2938506927af066a6b54cbc'
> /sbin
> b43631a7d2938506927af066a6b54cbc
> 07:10:57.060465 tramp-wait-for-regexp (6) #
> ///fc5b092ac8d0a3784e7c5443fffe4f12#$

It searches only (!) in /sbin, and I don't know why.

Please pull the recent Emacs git repo (commit
1d3fe256907d5e78a4acedd194e55db8ab952952 is the most recent) and retry
the test.

> Jean

Best regards, Michael.